<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::VertexObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_vertex_obj.html">VertexObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_vertex_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::VertexObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_vertex_obj_8h_source.html">VertexObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::VertexObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_vertex_obj__inherit__graph.png" border="0" usemap="#eic_1_1_vertex_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_vertex_obj_inherit__map" id="eic_1_1_vertex_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::VertexObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_vertex_obj__coll__graph.png" border="0" usemap="#eic_1_1_vertex_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_vertex_obj_coll__map" id="eic_1_1_vertex_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_vertex_data.html" title="eic::VertexData" alt="" coords="102,95,215,121"/>
<area shape="rect" id="node4" href="classeic_1_1_vector_x_y_z_t.html" title="eic::VectorXYZT" alt="" coords="99,5,218,32"/>
<area shape="rect" id="node5" href="classeic_1_1_const_reconstructed_particle.html" title="eic::ConstReconstructedParticle" alt="" coords="240,95,451,121"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2ebfa88691c186fa3b1af260316e996f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#a2ebfa88691c186fa3b1af260316e996f">VertexObj</a> ()</td></tr>
<tr class="memdesc:a2ebfa88691c186fa3b1af260316e996f"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#a2ebfa88691c186fa3b1af260316e996f">More...</a><br /></td></tr>
<tr class="separator:a2ebfa88691c186fa3b1af260316e996f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb4251522c148c41a2d317da30bd335c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#acb4251522c148c41a2d317da30bd335c">VertexObj</a> (const <a class="el" href="classeic_1_1_vertex_obj.html">VertexObj</a> &amp;)</td></tr>
<tr class="memdesc:acb4251522c148c41a2d317da30bd335c"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#acb4251522c148c41a2d317da30bd335c">More...</a><br /></td></tr>
<tr class="separator:acb4251522c148c41a2d317da30bd335c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a0577b1df99d4484528e2ca34d33250"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#a5a0577b1df99d4484528e2ca34d33250">VertexObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_vertex_data.html">VertexData</a> <a class="el" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a>)</td></tr>
<tr class="separator:a5a0577b1df99d4484528e2ca34d33250"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5fe507ca59c4f8310a19b08673749f2"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#ad5fe507ca59c4f8310a19b08673749f2">~VertexObj</a> ()</td></tr>
<tr class="separator:ad5fe507ca59c4f8310a19b08673749f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac76fb704d9786c60c39e262814c19ae5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_vertex_data.html">VertexData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#ac76fb704d9786c60c39e262814c19ae5">data</a></td></tr>
<tr class="separator:ac76fb704d9786c60c39e262814c19ae5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b6a1cadde49177db7f082d74b63ca9e"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_vertex_obj.html#a3b6a1cadde49177db7f082d74b63ca9e">m_particle</a></td></tr>
<tr class="separator:a3b6a1cadde49177db7f082d74b63ca9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_vertex_obj_8h_source.html#l00022">22</a> of file <a class="el" href="_vertex_obj_8h_source.html">VertexObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2ebfa88691c186fa3b1af260316e996f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ebfa88691c186fa3b1af260316e996f">&#9670;&nbsp;</a></span>VertexObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexObj::VertexObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8cc_source.html#l00007">7</a> of file <a class="el" href="_vertex_obj_8cc_source.html">VertexObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_obj_8h_source.html#l00034">data</a>, and <a class="el" href="_vertex_obj_8h_source.html#l00035">m_particle</a>.</p>

</div>
</div>
<a id="acb4251522c148c41a2d317da30bd335c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb4251522c148c41a2d317da30bd335c">&#9670;&nbsp;</a></span>VertexObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexObj::VertexObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_vertex_obj.html">VertexObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8cc_source.html#l00017">17</a> of file <a class="el" href="_vertex_obj_8cc_source.html">VertexObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_obj_8h_source.html#l00034">data</a>, and <a class="el" href="_vertex_obj_8h_source.html#l00035">m_particle</a>.</p>

</div>
</div>
<a id="a5a0577b1df99d4484528e2ca34d33250"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a0577b1df99d4484528e2ca34d33250">&#9670;&nbsp;</a></span>VertexObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexObj::VertexObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_vertex_data.html">VertexData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_vertex_data.html">VertexData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8cc_source.html#l00013">13</a> of file <a class="el" href="_vertex_obj_8cc_source.html">VertexObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_obj_8h_source.html#l00034">data</a>.</p>

</div>
</div>
<a id="ad5fe507ca59c4f8310a19b08673749f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5fe507ca59c4f8310a19b08673749f2">&#9670;&nbsp;</a></span>~VertexObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::VertexObj::~VertexObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8cc_source.html#l00027">27</a> of file <a class="el" href="_vertex_obj_8cc_source.html">VertexObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_vertex_obj_8h_source.html#l00035">m_particle</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ac76fb704d9786c60c39e262814c19ae5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac76fb704d9786c60c39e262814c19ae5">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_vertex_data.html">VertexData</a> eic::VertexObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8h_source.html#l00034">34</a> of file <a class="el" href="_vertex_obj_8h_source.html">VertexObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00051">eic::ConstVertex::chi2()</a>, <a class="el" href="_vertex_8cc_source.html#l00053">eic::Vertex::chi2()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00021">eic::ConstVertex::ConstVertex()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00053">eic::ConstVertex::position()</a>, <a class="el" href="_vertex_8cc_source.html#l00055">eic::Vertex::position()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00050">eic::ConstVertex::primary()</a>, <a class="el" href="_vertex_8cc_source.html#l00052">eic::Vertex::primary()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00052">eic::ConstVertex::probability()</a>, <a class="el" href="_vertex_8cc_source.html#l00054">eic::Vertex::probability()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00057">eic::ConstVertex::t()</a>, <a class="el" href="_vertex_8cc_source.html#l00059">eic::Vertex::t()</a>, <a class="el" href="_vertex_8cc_source.html#l00021">eic::Vertex::Vertex()</a>, <a class="el" href="_vertex_obj_8cc_source.html#l00007">VertexObj()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00054">eic::ConstVertex::x()</a>, <a class="el" href="_vertex_8cc_source.html#l00056">eic::Vertex::x()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00055">eic::ConstVertex::y()</a>, <a class="el" href="_vertex_8cc_source.html#l00057">eic::Vertex::y()</a>, <a class="el" href="_vertex_const_8cc_source.html#l00056">eic::ConstVertex::z()</a>, and <a class="el" href="_vertex_8cc_source.html#l00058">eic::Vertex::z()</a>.</p>

</div>
</div>
<a id="a3b6a1cadde49177db7f082d74b63ca9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b6a1cadde49177db7f082d74b63ca9e">&#9670;&nbsp;</a></span>m_particle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>* eic::VertexObj::m_particle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_vertex_obj_8h_source.html#l00035">35</a> of file <a class="el" href="_vertex_obj_8h_source.html">VertexObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_vertex_const_8cc_source.html#l00059">eic::ConstVertex::particle()</a>, <a class="el" href="_vertex_8cc_source.html#l00061">eic::Vertex::particle()</a>, <a class="el" href="_vertex_8cc_source.html#l00077">eic::Vertex::t()</a>, <a class="el" href="_vertex_obj_8cc_source.html#l00007">VertexObj()</a>, and <a class="el" href="_vertex_obj_8cc_source.html#l00027">~VertexObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_vertex_obj_8h_source.html">VertexObj.h</a></li>
<li>src/<a class="el" href="_vertex_obj_8cc_source.html">VertexObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
